/* ==================================================
   Modal
   ================================================== */

.has-modal {
  overflow: hidden;
}

.modal {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: -1;
  overflow: auto;
  display: none;
  background-color: rgba(0, 0, 0, 0.52);
  backdrop-filter: blur(12px);
}

.modal.modal-open {
  z-index: 8000;
  display: block;
}

.modal .modal-overlay-container {
  display: flex;
  align-items: center;
  min-height: 100%;
}

@media (max-width: 767px) {
  .modal .modal-overlay-container {
    flex-direction: column;
  }
}

.modal .modal-overlay {
    position: relative;
    z-index: 1;
    display: flex;
    flex-direction: column;
    outline: none;
    border-radius: 24px;
    margin-block: 40px;
    margin-inline: auto;
    width: 728px;
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.04), 0 4px 12px rgba(0, 0, 0, 0.04), 0 12px 24px rgba(0, 0, 0, 0.04);
}

@media (max-width: 767px) {
  .modal .modal-overlay {
    flex-grow: 1;
    border-radius: 0;
    margin-block: 0;
    width: 100%;
    box-shadow: none;
  }
}

.modal.modal-small .modal-overlay {
  width: 488px;
}

@media (max-width: 767px) {
  .modal.modal-small .modal-overlay {
    width: 100%;
  }
}

.modal .modal-content-container {
  order: 2;
  border-radius: inherit;
  margin-top: -56px;
  padding: 76px;
  background-color: #fff;
}

@media (max-width: 767px) {
  .modal .modal-content-container {
    flex-grow: 1;
    margin-top: -52px;
    padding-block: 68px;
    padding-inline: 16px;
  }
}

.modal:has(.modal-actions) .modal-content-container {
  padding-block-end: 0;
}

.modal .modal-title {
  margin-block-end: 24px;
  font-family: var(--font-family-head);
  font-size: 32px;
  font-weight: 700;
  text-transform: uppercase;
  color: var(--color-multiblue);
}

@media (max-width: 1023px) {
  .modal .modal-title {
    font-size: 28px;
  }
}

@media (max-width: 767px) {
  .modal .modal-title {
    font-size: 24px;
  }
}

.modal .modal-close-button {
  position: sticky;
  top: 20px;
  z-index: 9999;
  order: 1;
  align-self: flex-end;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  margin-block-start: 20px;
  margin-inline-end: 20px;
  width: 36px;
  height: 36px;
}

@media (max-width: 767px) {
  .modal .modal-close-button {
    top: 16px;
    margin-block-start: 16px;
    margin-inline-end: 16px;
  }
}

.modal .modal-close-button-icon {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
  pointer-events: none;
}

.modal .modal-close-button-icon svg {
  display: block;
  width: 100%;
  height: 100%;
  fill: var(--color-primary);
  pointer-events: none;
}

.modal .modal-close-button:hover .modal-close-button-icon svg {
  fill: #000;
}

.modal .modal-actions {
  display: flex;
  justify-content: flex-end;
  align-items: center;
  gap: 8px;
  border-bottom-right-radius: 16px;
  border-bottom-left-radius: 16px;
  margin-block-start: 40px;
  margin-inline: -76px;
  padding-block: 20px;
  padding-inline: 20px;
  background-color: var(--color-background-alt);
}

@media (max-width: 767px) {
  .modal .modal-actions {
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
    margin-inline: -16px;
    padding-block: 16px;
    padding-inline: 16px;
  }
}